Bug 1260343 - Can not unlock the screen
Can not unlock the screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 00:15 EDT by Alexander Dyadyun
Modified: 2016-07-19 13:47 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:47:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
result of pstree -l (6.02 KB, text/plain)
2015-09-06 04:12 EDT, Alexander Dyadyun
no flags Details
result of rpm -qa | sort (59.12 KB, text/plain)
2015-09-06 04:13 EDT, Alexander Dyadyun
no flags Details

  None (edit)
Description Alexander Dyadyun 2015-09-06 00:15:41 EDT
Description of problem:
Can not unlock the screen after reattach the mouse.

Version-Release number of selected component (if applicable):
KDE desktop

How reproducible:
50%

Steps to Reproduce:
1. Detach mouse
2. After some time screen become locked
3. Attach mouse

Actual results:
Screen cursor moves, but I can not select password field and unlock screen. Ctrl+Alt+BackSpace non working. Ctrl+Alt+Fxx working - so I can login in console and reboot machine.

Expected results:
Select password field and type password for unlock.

Additional info:

Mouse - Wireless MicroSoft Sculpt Ergonomic. 
It is seen as 2 devices - mouse + keyboard (it is used for intercept pressing of MS-key on mouse)

Keyboard - standard Mitsumi PS/2 keyboard.

May be problem in conflict of two keyboards (screenlocker try to use mouse "keyboard")?
Comment 1 Mamoru TASAKA 2015-09-06 01:00:20 EDT
Are you sure you are using xscreensaver in KDE desktop?
Would you attach the result of

$ rpm -qa | sort

and

$ pstree -l 

when you have logged in into KDE desktop?
Comment 2 Alexander Dyadyun 2015-09-06 04:12:12 EDT
Created attachment 1070663 [details]
result of pstree -l
Comment 3 Alexander Dyadyun 2015-09-06 04:13:01 EDT
Created attachment 1070664 [details]
result of rpm -qa | sort
Comment 4 Alexander Dyadyun 2015-09-06 04:17:16 EDT
Sorry, my fault. It seems, that I am not use xscreensaver :(

Any idea, where I must report my problem?
Comment 5 Mamoru TASAKA 2015-09-06 04:38:33 EDT
Once switching to kf5-plasma, perhaps KDE people will triage this.
Comment 6 Alexander Dyadyun 2015-09-14 21:13:29 EDT
I have no problem with detaching/attaching mouse when screenlocker is disabled.
Comment 7 Fedora End Of Life 2016-07-19 13:47:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.